Display a progress bar when loading shp/dbf
Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14108

Description

- When loading a shapefile, display a progress bar to inform the user about the number of features geometries loaded (total number of

features of a shapefile should be available inside dbf header) before final map rendering finally occurs.

- when opening attributes data table, display a progress bar to inform the user about the number of data records read inside the dbf file,

before table view is finally displayed.

History

#1 - 2011-12-09 08:36 AM - Paolo Cavallini

- Category set to Vectors

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-12-03 09:42 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- % Done changed from 0 to 50

Hello, bug triage...

when you load the attribute table of a layer with lots of features (more than 100000 features, I am not sure what is the limit), there is a window indicating the

number of features that have been loaded.

For layer rendering, I think this is impossible to have feature count because you can have a layer with lots of features which just loads in milliseconds

because the features are not in the canvas extent (I can have a 1 million points layer loading instantly using this trick). For attribute table it is much more

simple: you have to load everything. Furthermore, I can't see how to make a progressive feature count when you have multiple layers. Or perhaps would

you like to have a global progressive feature count dialog box when rendering exceeds n seconds ?

I also think this is complex when using parallel rendering !

#6 - 2016-06-26 05:36 AM - Matthias Kuhn

- Status changed from Feedback to Closed
In the attribute table there is a progress bar and there are better ways (see #14994).

For rendering this doesn't make sense (see comment above by Médéric Ribreux).
